%define anolis_release 1
Summary: epoxy runtime library
Name: libepoxy
Version: 1.5.10
Release: %{anolis_release}%{?dist}
License: MIT
URL: https://github.com/anholt/libepoxy
Source0: https://download.gnome.org/sources/%{name}/1.5/%{name}-%{version}.tar.xz

BuildRequires: meson
BuildRequires: gcc
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(egl)
BuildRequires: libGL-devel
BuildRequires: libEGL-devel
BuildRequires: libX11-devel
BuildRequires: pkgconfig(glesv2)
BuildRequires: python3
BuildRequires: xorg-x11-server-Xvfb mesa-dri-drivers

%description
A library for handling OpenGL function pointer management.

%package devel
Summary: Development files for libepoxy
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
xvfb-run -d -s "-screen 0 640x480x24" ninja -C %{_vpath_builddir} test || \
    (cat %{_vpath_builddir}/meson-logs/testlog.txt ; exit 1)

%files
%license COPYING
%doc README.md
%{_libdir}/libepoxy.so.0*

%files devel
%{_includedir}/epoxy/
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc

%changelog
* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.10-1
- Init from upstream version 1.5.10

